%def_disable static

Name: libots
Summary: A text summarizer
Version: 0.4.2
Release: alt3
License: GPL
Group: System/Libraries

URL: http://libots.sourceforge.net/
Source: http://dl.sourceforge.net/libots/ots-%version.tar.gz
Patch1: libots-gcc4.patch

# Automatically added by buildreq on Tue May 23 2006
BuildRequires: glib2-devel libpopt-devel libxml2-devel pkg-config zlib-devel

%description
Open Text Summarizer is an open source tool for summarizing texts.
It reads a text stream and decides which sentences are important and
which are not.
 
%package devel
Summary: Libraries and include files for developing with libots.
Group: Development/C
Requires: %name = %version

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libots.

%package devel-static
Summary: Libots static library
Group: Development/C
Requires: %name-devel = %version

%description devel-static
This package provides static library needed to build statically linked
applications with %name.

%prep
%setup -q -n ots-%version
%patch1 -p1

%build
%configure --disable-gtk-doc %{subst_enable static}

# we use dirty hack for proper linking of library: libots_1_la_LIBADD="\$(OTS_LIBS)"
# this is quick but not perfect hack, so needed another build with proper solution
# SMP unsafe build, but we can use trick (second run of make):
%make_build libots_1_la_LIBADD="\$(OTS_LIBS)" || make libots_1_la_LIBADD="\$(OTS_LIBS)"

%install
%make_install install DESTDIR=%buildroot
rm -f $RPM_BUILD_ROOT%_libdir/*.la
rm -rf $RPM_BUILD_ROOT%_datadir/doc/libots

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog README
%_bindir/ots
%_libdir/*.so.*
%_datadir/ots
%_man1dir/*

%files devel
%_libdir/*.so
%_includedir/libots-1
%_pkgconfigdir/*.pc

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue May 23 2006 Victor Forsyuk <force@altlinux.ru> 0.4.2-alt3
- Fix FTBFS with gcc4.

* Tue Mar 21 2006 Victor Forsyuk <force@altlinux.ru> 0.4.2-alt2
- Fix linking.

* Fri Jun 10 2005 Victor Forsyuk <force@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Fri Sep 19 2003 AEN <aen@altlinux.ru> 0.4.1-alt1
- based on RH spec

* Mon Sep 15 2003 Jeremy Katz <katzj@redhat.com> 0.4.1-1
- 0.4.1

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 0.4.0-1
- 0.4.0

* Tue Jul 22 2003 Jeremy Katz <katzj@redhat.com> 0.3.0-1
- update to 0.3.0

* Sat Jul 12 2003 Jeremy Katz <katzj@redhat.com> 0.2.0-2
- forcibly disable gtk-doc (openjade is busted on s390)

* Mon Jul  7 2003 Jeremy Katz <katzj@redhat.com> 0.2.0-1
- update to 0.2.0
- ldconfig in %%post/%%postun
- libtoolize
- clean up spec file a little, build gtk-doc
- fix libtool versioning 

* Thu Jun 05 2003 Rui Miguel Silva Seabra <rms@1407.org>
- fix spec
- disable gtk-doc (it's not building in RH 9,
  maybe it's broken for some reason)

* Fri May 02 2003 Rui Miguel Silva Seabra <rms@1407.org>
- define a longer description from the README file
- explicitly set file permissions

* Wed Apr 30 2003 Dom Lachowicz <cinamod@hotmail.com>
- created this thing
